Only allow visible custom fields as aggregation criteria in time reports
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.0.0   

Description

In time reports, the user can currently select any custom field defined in the Redmine system as an aggregation criteria. This can

lead to confusion since the returned data might not reflect the custom field or might even lead to an information leak regarding the

existence of a hidden custom field. The data returned in the report itself is correctly filtered so that the field is only considered if it is

actually visible to the current user.

The attached patch filters the custom fields available as aggregation criteria in the report to only allow the use of visible custom

fields.

Related issues:

Related to Redmine - Patch #29161: Avoid SQL errors when adding a project cus... Closed

Associated revisions

Revision 17446 - 2018-07-12 23:58 - Go MAEDA

Only allow the use of visible custom fields in time entry reports (#29162).

Patch by Holger Just.

History

#1 - 2018-06-29 17:31 - Holger Just

- Related to Patch #29161: Avoid SQL errors when adding a project custom field as a time report criteria added

#2 - 2018-06-29 17:32 - Holger Just

With just this patch, we can avoid the consequences of #29161 (at least I have not found any other place where this is an issue). Still, we should also

apply #29161 to make the method save to use for ProjectCustomFields.

#3 - 2018-07-12 06:22 - Go MAEDA

- Target version set to Candidate for next minor release

#4 - 2018-07-12 07:52 - Go MAEDA

- File 29162@2x.png added

- Target version changed from Candidate for next minor release to 3.3.9

I confirmed the problem. Setting the target version to 3.3.9.
#5 - 2018-07-12 23:58 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

#6 - 2018-07-13 00:31 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 3.3.9 to 4.0.0

Committed. Thank you for detecting and fixing this issue.

Files

0001-Only-allow-the-use-of-visible-custom-fields-in-time-.patch 2.59 KB 2018-06-29 Holger Just

29162@2x.png 55.4 KB 2018-07-12 Go MAEDA
